include:
  - project: 'mro/common/tools/gitlab-ci-utils'
    file:
      - 'ci/scripts/gitlab-ci-artifacts.yml'
      - 'ci/scripts/gitlab-ci-node.yml'

stages:
  - test
  - deploy

test:
  image: ${NODE_LATEST_IMAGE}
  extends: .node-test
  variables:
    DEPENDENCIES: python3 build-essential

test-lts:
  image: ${NODE_LTS_IMAGE}
  extends: .node-test
  variables:
    DEPENDENCIES: python3 build-essential

typecheck:
  extends: '.node-typecheck'
  variables:
    DEPENDENCIES: python3 build-essential

npm-publish:
  extends: .npm-publish

ci-artifacts:
  extends: .ci-artifacts
  dependencies: [ test, typecheck ]

